package com.dgtis.dorm.manager.db.domain;

import java.time.LocalDateTime;

/**
 *  事项相关文档
 *
 * @version 1.0
 * @since JDK1.8
 * @author huanghaoqi
 * @date 2019年01月09日 13:31:37
 */
public class AdministrativeItemsDoc {
    /**
     * ID
     */
    private Integer id;
    /**
     * 事项ID
     */
    private Integer itemsId;
    /**
     * 文档名称
     */
    private String docName;
    /**
     * 文档存储ID
     */
    private String storageKey;
    /**
     * 文档存储名称
     */
    private String storageOldName;
    /**
     * 文档存储url
     */
    private String storageUrl;
    /**
     * 文档类型（1 表示办事指南  2表示表格）
     */
    private Integer type;
    /**
     * 创建时间
     */
    private LocalDateTime createDate;
    /**
     * 创建时间
     */
    private Integer createUser;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getItemsId() {
        return itemsId;
    }

    public void setItemsId(Integer itemsId) {
        this.itemsId = itemsId;
    }

    public String getDocName() {
        return docName;
    }

    public void setDocName(String docName) {
        this.docName = docName;
    }

    public String getStorageKey() {
        return storageKey;
    }

    public void setStorageKey(String storageKey) {
        this.storageKey = storageKey;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public LocalDateTime getCreateDate() {
        return createDate;
    }

    public void setCreateDate(LocalDateTime createDate) {
        this.createDate = createDate;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public String getStorageOldName() {
        return storageOldName;
    }

    public void setStorageOldName(String storageOldName) {
        this.storageOldName = storageOldName;
    }

    public String getStorageUrl() {
        return storageUrl;
    }

    public void setStorageUrl(String storageUrl) {
        this.storageUrl = storageUrl;
    }
}
